DateFormats

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jxl.write
Class DateFormats

    java.lang.Object
      jxl.write.DateFormats

    public final class DateFormats

extends java.lang.Object

Static class which contains Excels predefined Date formats

Field Summary
`static jxl.biff.DisplayFormat` | `DEFAULT` The default format.
`static jxl.biff.DisplayFormat` | `FORMAT1` The default format.
`static jxl.biff.DisplayFormat` | `FORMAT10` Equivalent to a date format of "mm:ss"
`static jxl.biff.DisplayFormat` | `FORMAT11` Equivalent to a date format of "H:mm:ss"
`static jxl.biff.DisplayFormat` | `FORMAT12` Equivalent to a date format of "mm:ss.S"
`static jxl.biff.DisplayFormat` | `FORMAT2` Equivalent to a date format of "d-MMM-yy"
`static jxl.biff.DisplayFormat` | `FORMAT3` Equivalent to a date format of "d-MMM"
`static jxl.biff.DisplayFormat` | `FORMAT4` Equivalent to a date format of "MMM-yy"
`static jxl.biff.DisplayFormat` | `FORMAT5` Equivalent to a date format of "h:mm a"
`static jxl.biff.DisplayFormat` | `FORMAT6` Equivalent to a date format of "h:mm:ss a"
`static jxl.biff.DisplayFormat` | `FORMAT7` Equivalent to a date format of "H:mm"
`static jxl.biff.DisplayFormat` | `FORMAT8` Equivalent to a date format of "H:mm:ss"
`static jxl.biff.DisplayFormat` | `FORMAT9` Equivalent to a date format of "M/d/yy H:mm"

Constructor Summary
`DateFormats()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FORMAT1

    public static final jxl.biff.DisplayFormat FORMAT1

  The default format. This is equivalent to a date format of "M/d/yy"

### DEFAULT

    public static final jxl.biff.DisplayFormat DEFAULT

  The default format. This is equivalent to a date format of "M/d/yy"

### FORMAT2

    public static final jxl.biff.DisplayFormat FORMAT2

  Equivalent to a date format of "d-MMM-yy"

### FORMAT3

    public static final jxl.biff.DisplayFormat FORMAT3

  Equivalent to a date format of "d-MMM"

### FORMAT4

    public static final jxl.biff.DisplayFormat FORMAT4

  Equivalent to a date format of "MMM-yy"

### FORMAT5

    public static final jxl.biff.DisplayFormat FORMAT5

  Equivalent to a date format of "h:mm a"

### FORMAT6

    public static final jxl.biff.DisplayFormat FORMAT6

  Equivalent to a date format of "h:mm:ss a"

### FORMAT7

    public static final jxl.biff.DisplayFormat FORMAT7

  Equivalent to a date format of "H:mm"

### FORMAT8

    public static final jxl.biff.DisplayFormat FORMAT8

  Equivalent to a date format of "H:mm:ss"

### FORMAT9

    public static final jxl.biff.DisplayFormat FORMAT9

  Equivalent to a date format of "M/d/yy H:mm"

### FORMAT10

    public static final jxl.biff.DisplayFormat FORMAT10

  Equivalent to a date format of "mm:ss"

### FORMAT11

    public static final jxl.biff.DisplayFormat FORMAT11

  Equivalent to a date format of "H:mm:ss"

### FORMAT12

    public static final jxl.biff.DisplayFormat FORMAT12

  Equivalent to a date format of "mm:ss.S"

Constructor Detail

### DateFormats

    public DateFormats()

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD